Package fr.gouv.vitam.storage.engine.server.storagetraceability

# Class StorageTraceabilityAdministration

java.lang.Object
fr.gouv.vitam.storage.engine.server.storagetraceability.StorageTraceabilityAdministration

public class StorageTraceabilityAdministration extends Object
Business class for Storage Traceability Administration

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageTraceabilityAdministration(TraceabilityStorageService traceabilityLogbookService, StorageDistribution distribution, LogbookOperationsClient mockedLogbookOperations, File tmpFolder, WorkspaceClient mockedWorkspaceClient, TimestampGenerator timestampGenerator, Integer operationTraceabilityOverlapDelay, int storageLogTraceabilityThreadPoolSize)`
  `StorageTraceabilityAdministration(TraceabilityStorageService traceabilityLogbookService, StorageDistribution distribution, String tmpFolder, TimestampGenerator timestampGenerator, Integer operationTraceabilityOverlapDelay, int storageLogTraceabilityThreadPoolSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<StorageLogTraceabilityResult>`
  `generateStorageLogTraceabilityOperations(String strategyId, List<Integer> tenants)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StorageTraceabilityAdministration

    public StorageTraceabilityAdministration(TraceabilityStorageService traceabilityLogbookService, StorageDistribution distribution, String tmpFolder, TimestampGenerator timestampGenerator, Integer operationTraceabilityOverlapDelay, int storageLogTraceabilityThreadPoolSize)

  - ### StorageTraceabilityAdministration

    public StorageTraceabilityAdministration(TraceabilityStorageService traceabilityLogbookService, StorageDistribution distribution, LogbookOperationsClient mockedLogbookOperations, File tmpFolder, WorkspaceClient mockedWorkspaceClient, TimestampGenerator timestampGenerator, Integer operationTraceabilityOverlapDelay, int storageLogTraceabilityThreadPoolSize)

- ## Method Details

  - ### generateStorageLogTraceabilityOperations

    public List<StorageLogTraceabilityResult> generateStorageLogTraceabilityOperations(String strategyId, List<Integer> tenants) throws TraceabilityException
    Throws:
      `TraceabilityException`